কনটেন্টে যান

Luma Photon Flash

ইন্টিগ্রেট করুন

মডেল id luma-photon/flash
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/luma-photon/flash?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

এই অনুরোধ: ≈০.০০৫$ ৫ API ক্রেডিট এই পেজে চালান

API কী পান
Luma AI টেক্সট থেকে ছবি দ্রুত

টেক্সট-টু-ইমেজের জন্য Photon-এর Flash ভ্যারিয়েন্ট; স্ট্যান্ডার্ড মডেলের মতো একই প্রম্পট ও অ্যাসপেক্ট রেশিও বিকল্প

Luma AI · ছবি

আপনার প্রথম ফলাফল এখানে আসবে

নিচে একটি রিকোয়েস্ট তৈরি করে আপনার API কী দিয়ে চালান। আউটপুট আমাদের স্টোরেজে কপি করা হয়, চিরকাল বা বিনামূল্যে ৭ দিন পর্যন্ত রাখা হয়।

একটি অনুরোধ তৈরি করুন

মডেল স্কিমা থেকে কন্ট্রোল তৈরি করা হয়। এগুলো পরিবর্তন করলে কোড ও মূল্য আপডেট হয়।

•আবশ্যক 88 / 5000
aspect_ratio ডিফল্ট 1:1

আউটপুট ভিডিওর aspect ratio।

অ্যাডভান্সড enable_safety_checker
POST /run/luma-photon/flash?wait=20 মূল্য → ০.০০৫$
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/luma-photon/flash?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

এই অনুরোধ চালান

আপনার key এই ব্রাউজারেই থাকে: এটি শুধু Doitong API-তে পাঠানো হয় এবং Remember টিক দিলে কেবল localStorage-এ সংরক্ষিত হয়। একটি API কী পান

Luma Photon Flash সম্পর্কে

সর্বোচ্চ 5000 অক্ষরের টেক্সট `prompt` থেকে ছবি তৈরি করে। বেস Photon মডেলের মতো একই সাতটি `aspect_ratio` মান, 21:9 থেকে 9:21 পর্যন্ত, সমর্থন করে এবং ডিফল্ট হলো 1:1। শুধু টেক্সট-টু-ইমেজ জেনারেশনের প্রয়োজন হলে এটিকে Flash বিকল্প হিসেবে বেছে নিন।

প্যারামিটার

নামধরন ডিফল্টঅনুমোদিত বিবরণ
promptআবশ্যক
ধরনstring
≤ ৫,০০০টি অক্ষর≥ ৩টি অক্ষর
aspect_ratioঐচ্ছিক
ধরনenum
ডিফল্ট1:1
16:99:161:14:33:421:99:21
আউটপুট ভিডিওর aspect ratio।
enable_safety_checkerঐচ্ছিক
ধরনboolean
ডিফল্টtrue
কলকারী অনুমোদিত হলে false সেট করে স্ক্রিনিং শিথিল করা যায়।
আবশ্যক

আউটপুট

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "luma-photon/flash",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 5,
    "usd": "0.005",
    "charged": 5,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
আপনার ফাইল, আপনার পছন্দপ্রতিটি outputs[].url আমাদের স্টোরেজে একটি কপি: চিরকাল রাখা হয় (প্রতি GB-মাস অনুযায়ী অর্থপ্রদত্ত) অথবা অ্যাকাউন্ট সেটিংস বা ?storage= অনুযায়ী বিনামূল্যে ৭ দিন পর্যন্ত।
প্রতিটি মডেলে একই গঠনছবি, ভিডিও এবং অডিও—সব ক্ষেত্রেই type, url, content_type, width, height এবং duration। output হলো মডেলের নিজস্ব ফলাফল অবজেক্ট।
আউটপুটের ফিল্ড
images
array of object {url, content_type, file_name, file_size}জেনারেশনের মাধ্যমে তৈরি ছবি।

আরও মডেল: টেক্সট থেকে ছবি

AI এজেন্টদের জন্য: এই পৃষ্ঠাটি Markdown হিসেবে এখানে আছে https://doitong.com/bn/developers/models/luma-photon/flash.md. সব মডেল ও গাইড: https://doitong.com/developers/llms.txt